Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.webserver
Class RequestData

    java.lang.Object
      org.apache.xmlrpc.XmlRpcConfigImpl
          org.apache.xmlrpc.common.XmlRpcHttpRequestConfigImpl
              org.apache.xmlrpc.webserver.RequestData

All Implemented Interfaces:
  XmlRpcHttpConfig, XmlRpcHttpRequestConfig, XmlRpcStreamConfig, XmlRpcStreamRequestConfig, XmlRpcConfig, XmlRpcRequestConfig

    public class RequestData

extends XmlRpcHttpRequestConfigImpl

Web servers extension of `XmlRpcHttpRequestConfig`, which allows to store additional per request data.

Field Summary

Fields inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`UTF8_ENCODING`

Constructor Summary
`RequestData(Connection pConnection)` Creates a new instance.

Method Summary
`Connection` | `getConnection()` Returns the connection, which is serving the request.
`int` | `getContentLength()` Returns the requests content length.
`java.lang.String` | `getHttpVersion()` Returns the requests HTTP version.
`java.lang.String` | `getMethod()` Returns the request method.
`boolean` | `isByteArrayRequired()` Returns, whether a byte array for buffering the output is required.
`boolean` | `isKeepAlive()` Returns, whether HTTP keepAlive is enabled for this connection.
`boolean` | `isSuccess()` Returns, whether the request was executed successfull.
`void` | `setContentLength(int pContentLength)` Sets the requests content length.
`void` | `setHttpVersion(java.lang.String pHttpVersion)` Sets the requests HTTP version.
`void` | `setKeepAlive(boolean pKeepAlive)` Sets, whether HTTP keepAlive is enabled for this connection.
`void` | `setMethod(java.lang.String pMethod)` Sets the request method.
`void` | `setSuccess(boolean pSuccess)` Sets, whether the request was executed successfull.

Methods inherited from class org.apache.xmlrpc.common.XmlRpcHttpRequestConfigImpl
`getBasicPassword, getBasicUserName, getConnectionTimeout, getReplyTimeout, isEnabledForExceptions, isGzipCompressing, isGzipRequesting, setBasicPassword, setBasicUserName, setConnectionTimeout, setEnabledForExceptions, setGzipCompressing, setGzipRequesting, setReplyTimeout`

Methods inherited from class org.apache.xmlrpc.XmlRpcConfigImpl
`getBasicEncoding, getEncoding, getTimeZone, isContentLengthOptional, isEnabledForExtensions, setBasicEncoding, setContentLengthOptional, setEnabledForExtensions, setEncoding, setTimeZone`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcHttpConfig
`getBasicEncoding, isContentLengthOptional`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`getEncoding`

Methods inherited from interface org.apache.xmlrpc.XmlRpcConfig
`getTimeZone, isEnabledForExtensions`

Constructor Detail

### RequestData

    public RequestData(Connection pConnection)

  Creates a new instance.

  Parameters:
    `pConnection` - The connection, which is serving the request.

Method Detail

### getConnection

    public Connection getConnection()

  Returns the connection, which is serving the request.

  Returns:
    The request connection.

### isKeepAlive

    public boolean isKeepAlive()

  Returns, whether HTTP keepAlive is enabled for this connection.

  Returns:
    True, if keepAlive is enabled, false otherwise.

### setKeepAlive

    public void setKeepAlive(boolean pKeepAlive)

  Sets, whether HTTP keepAlive is enabled for this connection.

  Parameters:
    `pKeepAlive` - True, if keepAlive is enabled, false otherwise.

### getHttpVersion

    public java.lang.String getHttpVersion()

  Returns the requests HTTP version.

  Returns:
    HTTP version, for example "1.0"

### setHttpVersion

    public void setHttpVersion(java.lang.String pHttpVersion)

  Sets the requests HTTP version.

  Parameters:
    `pHttpVersion` - HTTP version, for example "1.0"

### getContentLength

    public int getContentLength()

  Returns the requests content length.

  Returns:
    Content length, if known, or -1, if unknown.

### setContentLength

    public void setContentLength(int pContentLength)

  Sets the requests content length.

  Parameters:
    `pContentLength` - Content length, if known, or -1, if unknown.

### isByteArrayRequired

    public boolean isByteArrayRequired()

  Returns, whether a byte array for buffering the output is required.

  Returns:
    True, if the byte array is required, false otherwise.

### getMethod

    public java.lang.String getMethod()

  Returns the request method.

  Returns:
    The request method, should be "POST".

### setMethod

    public void setMethod(java.lang.String pMethod)

  Sets the request method.

  Parameters:
    `pMethod` - The request method, should be "POST".

### isSuccess

    public boolean isSuccess()

  Returns, whether the request was executed successfull.

  Returns:
    True for success, false, if an error occurred.

### setSuccess

    public void setSuccess(boolean pSuccess)

  Sets, whether the request was executed successfull.

  Parameters:
    `pSuccess` - True for success, false, if an error occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.